# Version 0.12 release notes

## New features and feature changes
- Create repository out of current directory
    - `gin create --here` will create a new repository on the remote server and initialise the current working directory with the appropriate remotes and annex configuration.
- JSON output: Most commands now support the `--json` flag for JSON formatted output.
- The location for configuration files has changed on all platforms. Platform specific locations are now used. On first run, the client looks for files in the old configuration directories and transfers them to the new location if necessary.
- If a command requires login and the user is not logged in, instead of simply printing an informative message, the user is prompted for login (unless `--json` is specified).
- Local (in-repo) config file can only be used to specify annex selection. In other words, only the `annex.minsize` and `annex.excludes` is used. All other options are read from the global and default configurations.
- The local (in-repo) configuration file is never checked into annex, regardless of annex minsize rules.
- The local config file can only be used for `annex.minsize` and `annex.excludes` options. All other options are ignored.
- Repository listing function fix:
    - `gin repos` now lists only the logged in user's repositories.
    - `gin repos --all` lists the logged in user's repositories and all other repositories in which they are a member.
    - `gin repos --shared` lists only the repositories in which the user is a member.
- Repository listings now provide more information if available.

## File operation and file transfer progress output
- File operations such as `lock`, `unlock`, and `remove-content` now provide per-file output on whether the operation was successful or not. The output prints per line as the operation finishes for each file.
- File transfers during `upload`, `download`, and `get-content` show transfer rates and percentage complete.
- `gin upload` without an argument no longer warns about the lack of file specification. Previously the warning was meant to inform the user that changes (metadata) are uploaded but no new files. The behaviour of the command (what is updated in the index and what is uploaded) is now clear due to the output progress and success or failure messages printed by the command and the warning message would probably lead to confusion. Note also that the behaviour of the command has changed slightly. New content will be uploaded for files that are already being tracked.

## Bug fixes
- More flexible version checking for git-annex: Handles more types of version string formats.
